Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

# Class CircuitBreakerLifecycleService2

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.CircuitBreakerLifecycleService2

@Dependent public class CircuitBreakerLifecycleService2 extends Object

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerLifecycleService2()`

## Method Summary

Modifier and Type
Method
Description
`void`
`service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerLifecycleService2

public CircuitBreakerLifecycleService2()

## Method Details

### service

@CircuitBreaker(requestVolumeThreshold=8) public void service() throws IOException

Throws:
  `IOException`